BizKitHub
DocsAPI ReferenceLedger/bff/ledger/check/runs
getLedgerAdmin BFF

/bff/ledger/check/runs

Check run history (monthly: latest run per month) with paging and the newest run

LedgergetBffLedgerCheckRuns

Parameters

6 query

Query parameters

· 6
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
kind"integrity" | "monthly"Required
status"ok" | "warning" | "error"Optional
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
pagestring | numberOptional
Range: 1–∞
limitstring | numberOptional

Clamped to the DataGrid maximum.

Range: 1–∞

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/check/runs

get
curl -X GET "https://api.bizkithub.com/bff/ledger/check/runs?entityId=example_entityId&orderBy=example_orderBy" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key